Subject: bug#33137: [Wishlist] recursive guix lint

From: Efraim Flashner <[email-masked]>
Date: Sat, 27 Oct 2018 23:30:13 +0300

On Thu, Oct 25, 2018 at 03:31:32PM +0200, Ludovic Courtès wrote:
> Hello,
> 
> Efraim Flashner <[email-masked]> skribis:
> 
> > We have the linter check for CVEs and updates to packages in a list, but
> > what about those packages they depend on? It would be great to be able
> > to 'guix lint --recursive foo' and get foo and also all the packages in
> > the different types of inputs.
> 
> On the question of CVEs, see also
> <https://issues.guix.info/issue/31442>.
> 
> Do you think --recursive would be useful for other types of linters?
> 
> Thanks,
> Ludo’.

Checking for new versions would definately be good. It seems to me that checking
everything would make for better code overall, but the behavior I would
expect is that it would check all the linters specified in the command.

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted